namespace X
{
    public class Singleton
    {
        private static Singleton instance;
        public int iStorage;

        // Instanzierung unterbinden
        private Singleton()
        {
        }

        public static Singleton CreateInstance()
        {
            if (instance == null)
                instance = new Singleton();

            return instance;
        }
    }
}
